# Get started

## Installation

DAN is based on a GitLab package registry containing all the nerval source code.
You need [a personal access token](https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html) and access to the [nerval repository](https://gitlab.teklia.com/ner/nerval) in order to install this module. You will need to add the below to your `~/.netrc` file:

```shell
machine gitlab.teklia.com
login __token__
password <YOUR_PERSONAL_TOKEN>
```

If you install DAN as a dependency, the host must have access to this configuration file to be able to download the [nerval repository](https://gitlab.teklia.com/ner/nerval) package.

### As a dependency

To install DAN as a dependency, you need to first add the following line to your `requirements.txt` file:

```shell
--index-url https://gitlab.teklia.com/api/v4/projects/98/packages/pypi/simple --extra-index-url https://gitlab.teklia.com/api/v4/projects/210/packages/pypi/simple
teklia-dan
```

The `--index-url` argument is required to find the `DAN` package, the `--extra-index-url` argument is needed to find the `nerval` dependency.

Then you can install it via pip:

```shell
pip install -r requirements.txt
```

### Directly

To install DAN directly, you can install it via pip:

```shell
pip3 install --index-url https://gitlab.teklia.com/api/v4/projects/98/packages/pypi/simple --extra-index-url https://gitlab.teklia.com/api/v4/projects/210/packages/pypi/simple teklia-dan
```

The `--index-url` argument is required to find the `DAN` package, the `--extra-index-url` argument is needed to find the `nerval` dependency.

---

To learn more about the newly installed `teklia-dan` command, make sure to run:

```shell
teklia-dan --help
```

Get started with:

- [Developments](development.md)
- [Training workflow](training.md)
